Workload Groups - Create Or Update
워크로드 그룹을 만들거나 업데이트합니다.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/workloadGroups/{workloadGroupName}?api-version=2025-01-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
데이터베이스의 이름입니다. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다. |
|
server
|
path | True |
string |
서버의 이름입니다. |
|
subscription
|
path | True |
string (uuid) |
대상 구독의 ID입니다. 값은 UUID여야 합니다. |
|
workload
|
path | True |
string |
워크로드 그룹의 이름입니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
요청 본문
| Name | 필수 | 형식 | Description |
|---|---|---|---|
| properties.maxResourcePercent | True |
integer (int32) |
워크로드 그룹 상한 백분율 리소스입니다. |
| properties.minResourcePercent | True |
integer (int32) |
워크로드 그룹 최소 백분율 리소스입니다. |
| properties.minResourcePercentPerRequest | True |
number (double) |
작업 그룹 요청 최소 허용 비율입니다. |
| properties.importance |
string |
워크로드 그룹 중요도 수준입니다. |
|
| properties.maxResourcePercentPerRequest |
number (double) |
워크로드 그룹 요청 최대 허용 비율입니다. |
|
| properties.queryExecutionTimeout |
integer (int32) |
워크로드 그룹 쿼리 실행 시간 제한입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
리소스 'WorkloadGroup' 업데이트 작업이 성공했습니다 |
|
| 201 Created |
리소스 'WorkloadGroup' create 작업 성공 헤더
|
|
| 202 Accepted |
자원 작업이 허용되었습니다. 헤더
|
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 Flow.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
| Create a workload group with all properties specified. |
| Create a workload group with the required properties specified. |
Create a workload group with all properties specified.
샘플 요청
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc?api-version=2025-01-01
{
"properties": {
"importance": "normal",
"maxResourcePercent": 100,
"maxResourcePercentPerRequest": 3,
"minResourcePercent": 0,
"minResourcePercentPerRequest": 3,
"queryExecutionTimeout": 0
}
}
샘플 응답
{
"name": "smallrc",
"type": "Microsoft.Sql/servers/databases/workloadGroups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
"properties": {
"importance": "normal",
"maxResourcePercent": 100,
"maxResourcePercentPerRequest": 3,
"minResourcePercent": 0,
"minResourcePercentPerRequest": 3,
"queryExecutionTimeout": 0
}
}
{
"name": "smallrc",
"type": "Microsoft.Sql/servers/databases/workloadGroups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
"properties": {
"importance": "normal",
"maxResourcePercent": 100,
"maxResourcePercentPerRequest": 3,
"minResourcePercent": 0,
"minResourcePercentPerRequest": 3,
"queryExecutionTimeout": 0
}
}
Create a workload group with the required properties specified.
샘플 요청
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc?api-version=2025-01-01
{
"properties": {
"maxResourcePercent": 100,
"minResourcePercent": 0,
"minResourcePercentPerRequest": 3
}
}
샘플 응답
{
"name": "smallrc",
"type": "Microsoft.Sql/servers/databases/workloadGroups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
"properties": {
"importance": "normal",
"maxResourcePercent": 100,
"maxResourcePercentPerRequest": 3,
"minResourcePercent": 0,
"minResourcePercentPerRequest": 3,
"queryExecutionTimeout": 0
}
}
{
"name": "smallrc",
"type": "Microsoft.Sql/servers/databases/workloadGroups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
"properties": {
"importance": "normal",
"maxResourcePercent": 100,
"maxResourcePercentPerRequest": 3,
"minResourcePercent": 0,
"minResourcePercentPerRequest": 3,
"queryExecutionTimeout": 0
}
}
정의
| Name | Description |
|---|---|
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
|
Workload |
데이터 웨어하우스에 대한 워크로드 그룹 작업 |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |
WorkloadGroup
데이터 웨어하우스에 대한 워크로드 그룹 작업
| Name | 형식 | Description |
|---|---|---|
| id |
string (arm-id) |
리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
리소스의 이름 |
| properties.importance |
string |
워크로드 그룹 중요도 수준입니다. |
| properties.maxResourcePercent |
integer (int32) |
워크로드 그룹 상한 백분율 리소스입니다. |
| properties.maxResourcePercentPerRequest |
number (double) |
워크로드 그룹 요청 최대 허용 비율입니다. |
| properties.minResourcePercent |
integer (int32) |
워크로드 그룹 최소 백분율 리소스입니다. |
| properties.minResourcePercentPerRequest |
number (double) |
작업 그룹 요청 최소 허용 비율입니다. |
| properties.queryExecutionTimeout |
integer (int32) |
워크로드 그룹 쿼리 실행 시간 제한입니다. |
| systemData |
Azure Resource Manager 메타데이터에 createdBy 및 modifiedBy 정보가 포함되어 있습니다. |
|
| type |
string |
리소스의 형식입니다. 예를 들어, "Microsoft. 컴퓨트/가상 머신" 또는 "Microsoft." 저장소/저장소 계정" |